Bug 889753 - [Regression] Stepping scroll no longer works.
[Regression] Stepping scroll no longer works.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
20
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Allan Day
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-23 05:00 EST by Hin-Tak Leung
Modified: 2015-06-29 07:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:43:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2012-12-23 05:00:54 EST
Description of problem:
Stepping scroll (clicking on the scroll column on one side of the scroll bar) no longer works in 3.6.1

Just upgraded to TC3 or thereabouts.


Version-Release number of selected component (if applicable):
gnome-terminal-3.6.1-1.fc18-x86_64

How reproducible:
Always

Steps to Reproduce:
1. just clicking on the scroll column on one side of the scroll bar
2.
3.
  
Actual results:
scroll all the way to the mouse click.

Expected results:
scroll one screenful

Additional info:
I filed a similar bug 828005 against the Adwaita Theme.

This is a terrible regression & just make the gnome terminal unusable.
If I want to scroll all the way I'd drag the scroll bar; I just want stepping scroll (scroll by a screenful, or by lines) to work - with F17 you removed the arrows, but stepping scroll still works by clicking on one side of the bar; now with F18 that stops working too. What the f*ck.

I found that switching to lxterminal + CurvyLooks themes works. (lxterminal + Adwaita does not). So this is both a problem of gnome-terminal *and* the Adwaita theme, and one have to avoid either of them to get any useful work done.
Comment 1 Corey Bryant 2013-02-09 10:25:49 EST
I just upgraded to Fedora 18 and found this to be a big hindrance as well.  I'm very much accustomed to getting paged scrolling when clicking above or below the scroll bar, but now it scrolls to the point in history where I clicked.

As a work-around, shift+page-up/page-down will scroll a page at a time.
Comment 2 Paul Stauffer 2013-02-23 09:39:16 EST
I am getting the same behavior after upgrading to Fedora 18.  This is a huge usability problem for anyone using the terminal, and I'm frankly shocked that it has gone unaddressed for two months.

I am setting Priority and Severity, on the theory that leaving them unspecified probably doesn't help bring this bug to anyone's attention. :)
Comment 3 Matthew Miller 2013-02-23 10:18:12 EST
I think this may actually be a gtk3 widget issue, not necessarily specific to the terminal app. gedit, for example, behaves the same way, but firefox (gtk2, still) does not.

But, I think this is pretty arguably always the wrong behavior for the terminal. I'm going to tentatively reassign this to Allan Day, because I was talking to him last night and he mentioned that he was working on usability improvements for the terminal user experience specifically.
Comment 4 Matthew Miller 2013-02-23 10:30:38 EST
Allan (or anyone):

Stepping back through the window is a very common operation in the terminal. Many sysadmins set the scrollback buffer to be very large (possibly unlimited), and the scrollbar thumb gets smaller and smaller and harder to find to drag around.

The scrollbar widget is also rather narrow; I think it's becoming a bit vestigial in the UI in general as many people have scroll wheels for web browsers or two-finger touchpad scrolling, but not everyone has these (and, there are advantages in moving in discrete, fixed steps). I understand the significant advantages of making UI elements consistent (gtk2 vs. gtk3 aside), so maybe there's a take-a-step-back bigger picture solution here?
Comment 5 Eric Paris 2013-03-20 12:02:56 EDT
Right clicking in the trough will give you one page at a time.
Comment 6 Paul W. Frields 2013-03-20 13:09:04 EDT
Also, Shift+PgUp and Shift+PgDn continue to work as usual.  Since I'm usually on the keyboard when in a terminal, I find that more convenient anyway.
Comment 7 Matthew Miller 2013-03-20 13:15:40 EDT
Can we make the right click option more discoverable in some way? Are there other aspects of the UI where right-click has similar function?
Comment 8 Paul Stauffer 2013-03-20 14:00:44 EDT
As a colleague of mine just noted, "Great, so instead of fixing the application, we're being told to fix our brains."

It seems to me like incredibly poor design to surprise the user by redefining the previous behavior like this, and then reassign the old behavior to a new action.  Why not just have left well enough alone, and assigned the new behavior (wild jumpy scrolling) to the new action (right click)?

As is, there really needs to be a configuration option to control the assignment of scrolling behaviors to mouse actions.
Comment 9 Matthew Miller 2013-03-21 10:22:12 EDT
(In reply to comment #8)
> As is, there really needs to be a configuration option to control the
> assignment of scrolling behaviors to mouse actions.

I don't think a configuration option is the best choice. I can see a good case for leaving left-click as page and implementing jump on right-click. Maybe something to do a usability study on?
Comment 10 Matthew Miller 2013-10-01 09:54:41 EDT
For the record, the per-user workaround:

$ cat ~/.config/gtk-3.0/settings.ini

[Settings]
gtk-primary-button-warps-slider=false
Comment 11 Matthew Miller 2013-10-11 14:17:30 EDT
See bug #1018346, which asks for this to be reverted in gtk3.
Comment 12 Paul Lambert 2014-08-23 10:18:59 EDT
Comment #10 does revert the scroll slider behavior back to gtk-2.0 bahavoir for Firefox (and probably others apps) but it does NOT do so for gedit on Fedora-20.  

I accepted the gtk-3.0 slider behavior except for one thing.  The slider at times will stretch and become much thinner.  When in this mode it ratios down between mouse movement and the amount of lines it scrolls.  But when releasing the mouse it will jump back to where the scroll started.  I have added the line "gtk-primary-button-warps-slider=false" to both the gtk-2.0 and gtk-3.0 settings.ini files.  

When opening source code files with hundreds of lines of code this it not only aggravating but I am losing countless hours of productivity scrolling through these files to find the area of interest.
Comment 13 Paul Lambert 2014-08-25 10:32:13 EDT
I have completed more testing regarding the gtk slider.  It appears that the gnome desktop applications do not use the gtk implementation or these applications ignore the "gtk-primary-button-warps-slider=false" settings command.

I tested the pdf application "document viewer" and the scroll slider behaves just the gtk-3.0 slider (Even with "gtk-primary-button-warps-slider=false" set in settings.ini).  But unlike gedit the scroll slider in document viewer works quite well.  Therefore, the root bug could in in gedit.  Regardless, this needs to be fixed as gedit is simply not usable in a professional software development environment as the slider functions presently.
Comment 14 Fedora End Of Life 2015-05-29 04:49:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 07:43:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.